<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<?php do_action( 'perfect_ecommerce_store_above_product_page' ); ?>

<section>
	<?php
	    // Get pages set in the customizer (if any)
	    $pages = array();
	    for ( $count = 1; $count <= 5; $count++ ) {
	    $mod = absint( get_theme_mod( 'perfect_ecommerce_store_slide_page' . $count ));
	    if ( 'page-none-selected' != $mod ) {
	      $pages[] = $mod;
	    }
	    }
	    if( !empty($pages) ) :
	      $args = array(
	        'posts_per_page' => 5,
	        'post_type' => 'page',
	        'post__in' => $pages,
	        'orderby' => 'post__in'
	      );
	      $query = new WP_Query( $args );
	      if ( $query->have_posts() ) :
	        $count = 1;
	        ?>
	      <div class="slider-main">
	          <div id="slider" class="nivoSlider">
	            <?php
	              $perfect_ecommerce_store_n = 0;
	          while ( $query->have_posts() ) : $query->the_post();
	            
	            $perfect_ecommerce_store_n++;
	            $perfect_ecommerce_store_slideno[] = $perfect_ecommerce_store_n;
	            $perfect_ecommerce_store_slidetitle[] = get_the_title();
	            $perfect_ecommerce_store_content[] = get_the_content();
				$perfect_ecommerce_store_slidelink[] = esc_url(get_permalink());
	            ?>
	              <img src="<?php the_post_thumbnail_url('full'); ?>" title="#slidecaption<?php echo esc_attr( $perfect_ecommerce_store_n ); ?>" />
	            <?php
	          $count++;
	          endwhile; ?>
	          </div>

	        <?php
	        $perfect_ecommerce_store_k = 0;
	          foreach( $perfect_ecommerce_store_slideno as $perfect_ecommerce_store_sln ){ ?>
	          <div id="slidecaption<?php echo esc_attr( $perfect_ecommerce_store_sln ); ?>" class="nivo-html-caption">
	            <div class="slide-cap  ">
	              <div class="container">
	                <h2><?php echo esc_html($perfect_ecommerce_store_slidetitle[$perfect_ecommerce_store_k] ); ?></h2>
	                <p><?php echo esc_html($perfect_ecommerce_store_content[$perfect_ecommerce_store_k] ); ?></p>
	                <div class="read-more">
	                	<a href="<?php echo esc_url($perfect_ecommerce_store_slidelink[$perfect_ecommerce_store_k] ); ?>"><?php esc_html_e( 'SHOP NOW','perfect-ecommerce-store' ); ?></a>
	                </div>
	              </div>
	            </div>
	          </div>
	            <?php $perfect_ecommerce_store_k++;
	        } ?>
	      </div>
	        <?php else : ?>
	          <div class="header-no-slider"></div>
	        <?php
	      endif;
	    endif;
  	?>
</section>

<section id="our-products">	
	<div class="container">
		<div class="pro-title">
	        <?php if( get_theme_mod('perfect_ecommerce_store_maintitle') != ''){ ?>     
	            <h3><?php echo esc_html(get_theme_mod('perfect_ecommerce_store_maintitle',__('Trending In Our Store','perfect-ecommerce-store'))); ?></h3>
	        <?php }?>
	    </div>
	    <div class="category">
	    	<div class="row">
	    		<div class="col-md-4">
	    			<?php $pages = array();
					for ( $count = 0; $count <= 0; $count++ ) {
						$mod = absint( get_theme_mod( 'perfect_ecommerce_store_cat_page' . $count ));
						if ( 'page-none-selected' != $mod ) {
						  $pages[] = $mod;
						}
					}
					if( !empty($pages) ) :
					  $args = array(
					    'post_type' => 'page',
					    'post__in' => $pages,
					    'orderby' => 'post__in'
					  );
					  $query = new WP_Query( $args );
					  if ( $query->have_posts() ) :
					    $count = 0;
							while ( $query->have_posts() ) : $query->the_post(); ?>
							    <div class="box-image">
							    	<img src="<?php echo esc_url(the_post_thumbnail_url() ); ?>">
							    	<div class="box-con">
							        	<p><?php the_title(); ?></p>
							        </div>
							        <div class="clearfix"></div>
							    </div>
							<?php $count++; endwhile; ?>
					  <?php else : ?>
					      <div class="no-postfound"></div>
					  <?php endif;
					endif;
					wp_reset_postdata()?>
				    <div class="clearfix"></div> 
	    		</div>
	    		<div class="col-md-8">
	    			<?php $pages = array();
					for ( $count = 0; $count <= 0; $count++ ) {
						$mod = absint( get_theme_mod( 'perfect_ecommerce_store_page' . $count ));
						if ( 'page-none-selected' != $mod ) {
						  $pages[] = $mod;
						}
					}
					if( !empty($pages) ) :
					  $args = array(
					    'post_type' => 'page',
					    'post__in' => $pages,
					    'orderby' => 'post__in'
					  );
					  $query = new WP_Query( $args );
					  if ( $query->have_posts() ) :
					    $count = 0;
							while ( $query->have_posts() ) : $query->the_post(); ?>
							    <div class="pro-image">
							        <p><?php the_content(); ?></p>
							        <div class="clearfix"></div>
							    </div>
							<?php $count++; endwhile; ?>
					  <?php else : ?>
					      <div class="no-postfound"></div>
					  <?php endif;
					endif;
					wp_reset_postdata()?>
				    <div class="clearfix"></div> 
	    		</div>
	    	</div>
	    </div>		
	</div>
</section>

<?php do_action( 'perfect_ecommerce_store_below_product_page' ); ?>

<?php get_footer(); ?>